---

hetzner_server_type: cx21

connect_image_version: "9.0"

connect_client_admin_username: "{{ management_admin_username }}"
connect_client_admin_password: "{{ management_admin_password }}"
connect_workflow_env: "stage:{{ stage }};smardigoUserToken:{{ smardigo_auth_token_value }}"
connect_process_search_module: "external"
connect_oidc_client_secret: "{{ management_oidc_client_secret }}"
connect_external_task_script_worker_enabled: "true"

spring_profiles_include: "prod,postgres,elastic,swagger"

tenant_id: "{{ management_oidc_realm }}"
cluster_size: "1"
cluster_name: "{{ management_oidc_client_id }}"
current_realm_name: "management"
current_realm_display_name: "Stage Management"

postgres_acls:
  - name: "{{ connect_postgres_database }}"
    password: "{{ connect_postgres_password }}"
    trusted_cidr_entry: "{{ shared_service_network }}"

current_realm_clients: [
  {
    name: '{{ management_oidc_client_id }}',
    clientId: "{{ management_oidc_client_id }}",
    admin_url: '',
    root_url: '',
    redirect_uris: [
        "{{ http_s }}://{{ connect_base_url }}/*"
    ],
    secret: '{{ management_oidc_client_secret }}',
    web_origins: [
      "{{ http_s }}://{{ connect_base_url }}"
    ],
  }
]

current_realm_users: [
  {
    "username": "{{ management_admin_username }}",
    "password": "{{ management_admin_password }}",
    "email": "{{ connect_admin_email }}",
    "requiredActions": []
  }
]
current_realm_admin_user:
  username: "{{ management_realm_admin_username }}"
  password: "{{ management_realm_admin_password }}"
  email: "{{ connect_admin_email }}"
  requiredActions: []
